### Blinkinlove / Classic

_Blinkinlove_ (_אהיבהוב_) is a line of technoromantic jewlery by [zzzen](https://zzzen.com): these accessories come in pairs, and each can blink in a heartbeat rhythm in order to indicate that it can sense that its mate is nearby. The closer the mate is, the faster the blinking. It looks for its mate by performing a wifi or bluetooth scan (depending on the model).

The _Classic_ model is based on [puck.js](https://www.puck-js.com/) devices (with bluetooth capability). This was the first model in the _Blinkinlove_ line, and was worn by Neora and Nimrod on their wedding, embedded in necklaces designed by [Ortal Ben Dayan](https://www.ortalbendayan.com/).

![Neora and Nimrod demonstrate](blinkinlove-classic.gif)


Button activates/deactivates scan and blink functionality (in order to save battery).
Even when deactivated it doesn't stop advertising BLE (and other device, if active,
can sense it). Note, however, that if you connect to a device (for example via the web IDE),
the other device won't sense it (this is a very common face-palm situation).

As feedback, the device performs a few heart beat animations (regardless of whether or not
it senses the other device):

* When activating, animation rate is slow.
* When deactivating, animation rate is fast.

Initial state of the device (after uploading code) is inactive.

You can do a `save()` from IDE in that state (no need for `onInit()` or such, because button would activate whatever needs activating).
